# Table initialization
li t6, 10
mv t0, t6

addi t1, t1, 1
addi sp, sp, -8
sd t1, 0(sp)
addi t0, t0, -1
bne t0, zero, -16

# Sum calculation
mv t0, t6
ld t1, 0(sp)

add a0, a0, t1
addi sp, sp, 8
addi t0, t0, -1
bne t0, zero, -16

# EXPECTED
# sp: 16384
# t6: 10
# t1: 1
# a0: 55
